Index: /trunk/LMDZ.COMMON/makelmdz
===================================================================
--- /trunk/LMDZ.COMMON/makelmdz	(revision 1660)
+++ /trunk/LMDZ.COMMON/makelmdz	(revision 1661)
@@ -376,4 +376,11 @@
    OPTIMC="${coptim}"
    INCLUDEC='-I$(LIBF)/grid -I.'
+fi
+#########
+
+######### CAS PARTICULIER NUAGES VENUS
+if [[ "$physique" == "venus" ]]
+then
+   src_dirs="$src_dirs phy${physique}/cloudvenus"
 fi
 #########
Index: /trunk/LMDZ.COMMON/makelmdz_fcm
===================================================================
--- /trunk/LMDZ.COMMON/makelmdz_fcm	(revision 1660)
+++ /trunk/LMDZ.COMMON/makelmdz_fcm	(revision 1661)
@@ -59,4 +59,5 @@
 COSP_PATH=$LMDGCM/.void_dir
 CHEM_PATH=$LMDGCM/.void_dir
+CLOUD_PATH=$LMDGCM/.void_dir
 AERONO_PATH=$LMDGCM/.void_dir
 # Path to fcm utility:
@@ -473,4 +474,11 @@
 fi
 
+# for Venus (but could be used by others as well), there is also "phyvenus/cloudvenus"
+if [[ -d ${LIBFGCM}/phy${physique}/cloud${physique} ]]
+then
+   CLOUD_PATH="${LIBFGCM}/phy${physique}/cloud${physique}"
+   INCLUDE="$INCLUDE -I${LIBFGCM}/phy${physique}/cloud${physique}"
+fi
+
 # for Mars (but could be used by others as well), there is also "aeronomars"
 if [[ -d ${LIBFGCM}/aerono${physique} ]]
@@ -715,4 +723,5 @@
 echo "%COSP          $COSP_PATH"     >> $config_fcm
 echo "%CHEM          $CHEM_PATH"     >> $config_fcm
+echo "%CLOUD         $CLOUD_PATH"    >> $config_fcm
 echo "%AERONO        $AERONO_PATH"   >> $config_fcm
 echo "%CPP_KEY       $CPP_KEY"       >> $config_fcm
Index: /trunk/LMDZ.VENUS/libf/phyvenus/chemparam_mod.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/chemparam_mod.F90	(revision 1660)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/chemparam_mod.F90	(revision 1661)
@@ -1,5 +1,5 @@
 MODULE chemparam_mod
 
-!MODULE qui définit les indices des traceurs et leurs masses molaires.
+!MODULE qui definit les indices des traceurs et leurs masses molaires.
 ! utilise aussi pour variables communes nuages/photochimie
 
@@ -13,11 +13,22 @@
                  i_cocl2, i_s, i_so, i_so2, i_so3,       &
                  i_s2o2, i_ocs, i_hso3, i_h2so4, i_s2,   &
-                 i_clso2, i_oscl, i_h2oliq, i_h2so4liq,  &
-		 i_n2 
+                 i_clso2, i_oscl, i_n2 
                  
+INTEGER, SAVE :: i_h2oliq, i_h2so4liq
+
+INTEGER, SAVE :: i_m0_aer, i_m3_aer,                       &
+                 i_m0_mode1drop, i_m0_mode1ccn,            &
+		 i_m3_mode1sa, i_m3_mode1w, i_m3_mode1ccn, &
+		 i_m0_mode2drop, i_m0_mode2ccn,            &
+		 i_m3_mode2sa, i_m3_mode2w, i_m3_mode2ccn
+
+INTEGER, SAVE :: nmicro  ! number of microphysical tracers 
+
 REAL, DIMENSION(:), SAVE, ALLOCATABLE :: M_tr
  
 
 !----------------------------------------------------------------------------
+! DEF FOR CL_SCHEME = 1 (AURELIEN)
+
 !     number of clouds mode modelized
       INTEGER, PARAMETER :: nbr_mode = 3
@@ -34,4 +45,7 @@
       REAL, SAVE, DIMENSION(:,:), ALLOCATABLE :: WH2SO4
       REAL, SAVE, DIMENSION(:,:), ALLOCATABLE :: rho_droplet
+!----------------------------------------------------------------------------
+! DEF FOR CL_SCHEME = 2 (FULL MICROPHYS)
+
 !----------------------------------------------------------------------------
 
@@ -670,4 +684,6 @@
   END SUBROUTINE cloud_ini
   
+! ===========================================================
+
   SUBROUTINE chemparam_ini
   USE infotrac_phy, ONLY: nqtot, tname
@@ -811,4 +827,8 @@
   		PRINT*,'oscl',i_oscl
   		M_tr(i_oscl)=83.517
+		CASE('n2')
+		i_n2=i
+		M_tr(i_n2)=28.013
+! MICROPHYSICAL TRACERS FOR CL_SCHEME=1
   		CASE('h2oliq')
   		i_h2oliq=i
@@ -819,7 +839,41 @@
   		PRINT*,'h2so4liq',i_h2so4liq
   		M_tr(i_h2so4liq)=98.078
-		CASE('n2')
-		i_n2=i
-		M_tr(i_n2)=28.013
+! MICROPHYSICAL TRACERS FOR CL_SCHEME=2
+                CASE('M0_aer')
+		i_m0_aer=i
+		PRINT*,'M0_aer',i_m0_aer
+		CASE('M3_aer')
+		i_m3_aer=i
+		PRINT*,'M3_aer',i_m3_aer
+                CASE('M0_m1drop')
+		i_m0_mode1drop=i
+		PRINT*,'M0_m1drop',i_m0_mode1drop
+                CASE('M0_m1ccn')
+		i_m0_mode1ccn=i
+		PRINT*,'M0_m1ccn',i_m0_mode1ccn
+		CASE('M3_m1sa')
+		i_m3_mode1sa=i
+		PRINT*,'M3_m1sa',i_m3_mode1sa
+		CASE('M3_m1w')
+		i_m3_mode1w=i
+		PRINT*,'M3_m1w',i_m3_mode1w
+		CASE('M3_m1ccn')
+		i_m3_mode1ccn=i
+		PRINT*,'M3_m1ccn',i_m3_mode1ccn
+                CASE('M0_m2drop')
+		i_m0_mode2drop=i
+		PRINT*,'M0_m2drop',i_m0_mode2drop
+                CASE('M0_m2ccn')
+		i_m0_mode2ccn=i
+		PRINT*,'M0_m2ccn',i_m0_mode2ccn
+		CASE('M3_m2sa')
+		i_m3_mode2sa=i
+		PRINT*,'M3_m2sa',i_m3_mode2sa
+		CASE('M3_m2w')
+		i_m3_mode2w=i
+		PRINT*,'M3_m2w',i_m3_mode2w
+		CASE('M3_m2ccn')
+		i_m3_mode2ccn=i
+		PRINT*,'M3_m2ccn',i_m3_mode2ccn
   	END SELECT
   	
@@ -828,5 +882,27 @@
   
   END SUBROUTINE chemparam_ini
-  
+
+! ===========================================================
+
+  SUBROUTINE vapors4muphy_ini(nlon,nlev,trac)
+  USE infotrac_phy, ONLY: nqtot, tname
+  IMPLICIT NONE
+
+  integer :: nlon, nlev
+  real    :: trac(nlon,nlev,nqtot) ! traceur ( en vmr)
+
+  integer :: i
+  real    :: trac1d(nlev,2) ! traceur lu ( en vmr)
+ 
+! lecture d'un fichier texte contenant les profils de trac1d(:1) = H2O et trac1d(:,2) = H2SO4
+
+  DO i=1,nlon
+     trac(i,:,i_h2o) = trac1d(:,1)
+     trac(i,:,i_h2so4) = trac1d(:,2)
+  ENDDO
+
+
+  END SUBROUTINE vapors4muphy_ini
+
 END MODULE chemparam_mod
 
Index: /trunk/LMDZ.VENUS/libf/phyvenus/clesphys.h
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/clesphys.h	(revision 1660)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/clesphys.h	(revision 1661)
@@ -15,5 +15,5 @@
        INTEGER nbapp_rad, nbapp_chim, iflag_con, iflag_ajs
        INTEGER lev_histins, lev_histday, lev_histmth
-       INTEGER tr_scheme
+       INTEGER tr_scheme, cl_scheme
        INTEGER nircorr, nltemodel, solvarmod
        REAL    ecriphy
@@ -32,5 +32,5 @@
      &     iflag_con, iflag_ajs,                                        &
      &     lev_histins, lev_histday, lev_histmth, tr_scheme,            &
-     &     nircorr, nltemodel, solvarmod, nb_mode
+     &     cl_scheme, nircorr, nltemodel, solvarmod, nb_mode
 
        COMMON/clesphys_r/ ecriphy, solaire, z0, lmixmin,                &
Index: /trunk/LMDZ.VENUS/libf/phyvenus/cloudvenus/donnees.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/cloudvenus/donnees.F90	(revision 1661)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/cloudvenus/donnees.F90	(revision 1661)
@@ -0,0 +1,178 @@
+MODULE donnees
+
+  use real16
+  implicit none
+
+  real, parameter :: ZERO = epsilon(1.0_real_16) != 2.220446049250313E-016
+  real, parameter :: PI = 3.1415926536D0
+  real, save :: E          ! Constant for microphys. processes
+
+
+  ! THERMO
+  real, parameter :: kbz = 1.3806488D-23 !m2.kg.s-2.K-2 Boltzmann constant
+  real, parameter :: RGAS = 8.31441D0    !J/(mole K)    Gas constant
+  real, parameter :: LSA = 6.322D5       !J/kg     Latent heat of evap of SA 
+  real, parameter :: MAIR = 43.45D-3     !kg/mole  Molecular mass of venus air
+  real, parameter :: MWV = 18.0153D-3    !kg/mole  Molecular mass of water
+  real, parameter :: CSA = 0.4430057096D0!=MAIR/MSA   
+
+  real, save :: PPSA, PPWV ! Partial pressure of SA and water
+  real, save :: RH     ! Relative Humidity
+  real, save :: KAIR   ! Thermal conductivity of air (J/m sec K)
+  real, save :: KN     ! Knudsen number
+  real, save :: D      ! Molecular diffusivity of the air (m2/s)
+  real, save :: akn    ! Approx slip-flow correction coef
+!  real, parameter :: akn = 1.591D0 ! Approx slip-flow correction coeff 
+
+
+  ! SEDIMENTATION and PRODUCTION
+  !> Fractal dimension of fractal aerosols.
+  REAL, SAVE :: df = 3.D0  ! 3 = sphere
+  !> Monomer radius (m).
+  REAL, SAVE :: rmono = 6.66D-8    
+  REAL, SAVE :: rpla = 6051800.D0 !m Venus radius
+  !> Planet acceleration due to gravity constant (ground) (\(m.s^{-2}\)).
+  REAL, SAVE :: g0 = 6.673D-11*(4.867D24/(6051800.D0)**2) 
+!!$  !> Air molecules mean radius (m).   !SG   Y|°O°|Y 
+  REAL, SAVE :: air_rad  = 1.75D-10
+
+
+  ! MODES  (H2SO4-H2O)
+  real, save :: redge  ! Virtual limits between the two modes
+  real, save :: r1, r2 ! Mean raidus of the distribution (m)
+  real, save :: N1, N2 ! Total number concentration (#/m3)
+  real, save :: NTOT   ! Total number of droplets (mode 1 and 2)
+
+
+  ! DROPLET AND GAS
+  real, save :: WSA, WSAEQ, SH2SO4, RHOSA, RHOsasat
+
+  ! Heterogeneous nucleation parameter (Franck's thesis, p.34)
+  real, parameter :: desorpco2 = 6.D-20  !J   Absorp./desorp. of 1 h2o molecule at the CCN surface
+  real, parameter :: surfdifco2 = 6.D-21 !J   Activation energy for surface diffusion
+  real, parameter :: nusco2 = 1.D+13     !s-1 Jump frequency
+
+  ! CONSERVATION
+  real, save :: CHECKSA
+  real, save :: CHECKWV
+
+  ! H2SO4
+  ! vo1h2so4 = masse 1 moléc. AS en kg / densité AS en kg/m3
+  ! vo1h2so4 = m_point/rho = 1.628656574D-25/1.8302D3
+  real, parameter :: vo1h2so4 = 8.898790154D-29 !m3
+  real, parameter :: m0h2so4 = 1.628640074D-25  !kg       Wettability
+  real, parameter :: MSA = 98.08D-3             !kg/mole  Molecular mass of SA
+  real, save :: ST         ! Surface tension of sulfuric acid solution/vapor (N/m)
+
+  real, save :: sigh2so4 ! tension superficielle de H2SO4
+  real, save :: h2so4_m3 ! Number concentration of H2SO4 (m-3)
+
+  ! RADII GRID (m)
+  real, save, dimension(:), allocatable :: rad_cld,ri,rs,vol
+  real, save ::  vratio
+
+
+
+
+  ! FIADERO'S CORRECTION
+
+  !! This flag enables/disables the __Fiadero__ correction alogrithm for fractal mode settling velocity
+  !! computation.
+  !!
+  !! @bug
+  !! Currently, the Fiadero correction creates instatibilities on the vertical structure. It seems to be
+  !! related to the coupling between the two moments. In order to reduce the instabilities, settling
+  !! velocity of moments are forced to be the same, see [[mm_globals(module):mm_wsed_m0(variable)]] and
+  !! [[mm_globals(module):mm_wsed_m3(variable)]]).
+  LOGICAL, SAVE          :: no_fiadero_w = .false.
+  !> Minimum ratio for __Fiadero__ correction.
+  !!
+  !! When [[mm_globals(module):mm_no_fiadero_w(variable)]] is disabled, this variable defines the minimum
+  !! value of the moment's ratio between two adjacents vertical cells to be used within the correction.
+  REAL, SAVE :: fiadero_min  = 0.1D0
+  !> Maximum ratio for __Fiadero__ correction.
+  !!
+  !! When [[mm_globals(module):mm_no_fiadero_w(variable)]] is disabled, this variable defines the maximum
+  !! value of the moment's ratio between two adjacents vertical cells to be used within the correction.
+  REAL, SAVE :: fiadero_max  = 10.D0
+
+  LOGICAL, SAVE :: wsed_m0 = .false. !! Force all aerosols moments to fall at M0 settling velocity.
+  LOGICAL, SAVE :: wsed_m3 = .false. !! Force all aerosols moments to fall at M3 settling velocity.
+
+
+
+contains
+  !  subroutine   build_radius_grid
+  !  SUBROUTINE   logdist   Calculates the lognormal size distribution function with bins
+
+
+!******************************************************************************
+  SUBROUTINE build_radius_grid(nbins,rmi,rma,vratio)
+!******************************************************************************
+    INTEGER, INTENT(in)                                :: nbins
+    REAL, INTENT(in)                     :: rmi,rma
+    REAL, INTENT(out)                    :: vratio
+    INTEGER :: i
+
+    if (allocated(rad_cld)) deallocate(rad_cld)
+    if (allocated(ri)) deallocate(ri)
+    if (allocated(rs)) deallocate(rs)
+    if (allocated(vol)) deallocate(vol)
+    ALLOCATE(rad_cld(nbins),ri(nbins),rs(nbins),vol(nbins))
+  
+    vratio=(rma/rmi)**(3.D0/(nbins-1))
+    vol(1)=4.D0/3.D0*pi*rmi**3
+
+    DO i=1,nbins
+      rad_cld(i)=rmi*vratio**(i/3.D0)
+      IF (i < nbins) vol(i+1)=vol(1)*vratio**i
+      ri(i) = (2.D0/(vratio+1.))**(1.D0/3.D0)*rad_cld(i)
+      rs(i) = (2.D0*vratio/(vratio+1.D0))**(1.D0/3.D0)*rad_cld(i)
+    ENDDO
+
+  END SUBROUTINE build_radius_grid
+
+
+!******************************************************************************
+  SUBROUTINE logdist(sigma,ntotal,r0,rad,n_aer)
+!******************************************************************************
+
+    USE free_param
+    implicit none
+    
+    ! Inputs / Outputs
+    real,intent(in) :: sigma, ntotal, r0
+    real,intent(out) :: n_aer(nbin)
+    real,intent(in) :: rad(nbin)
+
+    ! Local variables
+    real :: lognr,dr,n_aer_erf(nbin),sqr2sig,logsig
+    integer :: i
+
+    dr = ((2.D0*vratio)/(vratio +1.D0))**(1.D0/3.D0) - (2.D0/(vratio + 1.D0))**(1.D0/3.D0)
+
+    logsig = log(sigma)
+    sqr2sig = logsig*sqrt(2.0)
+
+    OPEN(666,FILE="logn.dat")
+
+    DO i=1,nbin
+       lognr = 1.D0 / (sqrt(2.D0*PI)*logsig*rad(i))               !m-1
+       lognr = lognr * exp(-0.5D0*(log(rad(i)/r_aer)/logsig)**2)  !m-1
+       n_aer(i) = lognr*dr*rad(i) !#
+       n_aer_erf(i) =  0.5 * (erf(log(rs(i)/r_aer)/sqr2sig) - erf(log(ri(i)/r_aer)/sqr2sig))
+       WRITE(666,'(6(ES15.7,2X))') rad(i),lognr,n_aer(i), n_aer_erf(i), rad(i)*dr, rs(i)-ri(i)
+    END DO
+
+    CLOSE(666)
+
+!    write(*,'(a,2(ES15.7,1X))') "logdist: nAER(norm), ERF method = ", SUM(n_aer(:)),SUM(n_aer_erf)
+    n_aer(:) = n_aer(:)*ntotal
+!    write(*,'((a),2(ES15.7,1X))') '  -->      total', SUM(n_aer(:)), ntotal
+!    write(*,'((a),ES15.7)')       '  --> rel. error', abs(SUM(n_aer(:))-ntotal)/ntotal
+!    write(*,'(a)') 'Using erf METHOD (more accurate)'
+    n_aer(:) = n_aer_erf(:) * ntotal
+
+  END SUBROUTINE logdist
+
+END MODULE donnees
Index: /trunk/LMDZ.VENUS/libf/phyvenus/cloudvenus/drop_coagul.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/cloudvenus/drop_coagul.F90	(revision 1661)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/cloudvenus/drop_coagul.F90	(revision 1661)
@@ -0,0 +1,13 @@
+
+SUBROUTINE drop_coagul(TAIR,PAIR,dt,M0_m1,M3_m1,M0_m2,M3_m2)
+
+  implicit none
+
+  real, intent(in) :: TAIR, PAIR
+  real, intent(in) :: dt
+
+  real, intent(inout) :: M0_m1, M3_m1, M0_m2, M3_m2
+
+  print*, 'plop coagulation'
+
+END SUBROUTINE drop_coagul
Index: /trunk/LMDZ.VENUS/libf/phyvenus/cloudvenus/flux.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/cloudvenus/flux.F90	(revision 1661)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/cloudvenus/flux.F90	(revision 1661)
@@ -0,0 +1,73 @@
+SUBROUTINE FLUX(TAIR,PAIR,dt,sig,r,M3g,dM0,dM3)
+
+  !*  Masses flux = Condensation/Evaporation + Thermodynamical equilibrium
+  !* 
+  !*  Condensation/Evaporation:
+  !*    Sulfuric acid drive this process (James 1997): most present in droplets
+  !*    more or less 95%
+  !*
+  !*  Thermodynamical equilibrium:
+  !*    Only water flux here (James 1997) => compare to acid vapor, water 
+  !*    vapor is most present in the atmosphere
+  !*
+  !*  ONLY FOR ONE MODE HERE
+
+  use free_param
+  use donnees
+
+  IMPLICIT NONE
+
+  real, intent(in), dimension(3) :: M3g ! Third moment of the mode
+  real, intent(in) :: TAIR, PAIR, dt    ! Temp, timestep, pressure
+  real, intent(in) :: r, sig      ! Mean radius and variance of the mode
+  real, intent(out) :: dM3, dM0   ! Tendancy
+
+  real :: RDSA, RCSA               ! Resistance
+  real :: A , B, cste, a1, a2, a3  ! Calculus cstes
+  real :: alpha_k   ! Function
+  real :: MSAD      ! Mass of sulfuric acid in the droplet, in kg
+  real :: mk3       ! Tendancy
+  real :: gamma
+
+
+  ! ----- EQUILIBRIUM -----
+  CALL WSA_ROSA_NEW(TAIR,PAIR,r,WSAEQ,MSAD) ! Calculation of WSA
+
+  ! ----- CONDENSATION / EVAPORATION -----
+  IF (WSAEQ .gt. 0) THEN
+     ! Resistance due to the VAPOR diffusion (s/m2)
+     ! Here, we supposed a Dirac function for the calculation of D (Kn(r)
+     RDSA = (RHOSA*RGAS*TAIR) / (D*MSA*RHOsasat)
+     ! Resistance due to the HEAT diffusion (s/m2)
+     RCSA = (LSA*RHOSA)/(KAIR*TAIR) * ((LSA*MSA)/(RGAS*TAIR)-1.0D0)
+
+     A = 2.0D0*ST*MSA / (RHOSA*RGAS*TAIR) !m
+     B = exp(A/r)  
+     cste = 3.0D0/(RCSA+RDSA)
+
+     a1 = SH2SO4-B-A*B/r-(r**2)*B*A/2.0D0*(2.0D0*r+A)/(r**4)
+     a2 = A*B/(r**3) * (A+3.0D0*r)                  !m-1
+     a3 = (-1.0D0)*A*B * (2.0D0*r+A)/(2.0D0*r**4)   !m-2
+
+     gamma = (a1 * r**(-2) * alpha_k(1,sig)/alpha_k(3,sig) + &
+          &  a2 * r**(-1) * alpha_k(2,sig)/alpha_k(3,sig) + &
+          &  a3) * cste
+
+     mk3 = (1.D0/dt)*((WSA/WSAEQ) - 1.D0)*dt
+     mk3 = mk3 + (gamma/WSAEQ)
+     mk3 = 1.D0 - mk3
+     mk3 = (1.D0/mk3) * (M3g(1)+M3g(2)+M3g(3))
+
+     ! ----- TOTAL FLUX -----
+     !  dm < 0: evaporation and dm > 0: condensation
+     dM3 = mk3 - (M3g(1) + M3g(2) + M3g(3)) !m3 s
+     dM0 = dM3 / (r**3*alpha_k(3,sig))
+  ELSE
+     dM3 = 0.D0
+     dM0 = 0.D0
+  END IF
+
+  WSA = WSAEQ
+
+  RETURN 
+END SUBROUTINE FLUX
Index: /trunk/LMDZ.VENUS/libf/phyvenus/cloudvenus/free_param.F90
===================================================================
--- /trunk/LMDZ.VENUS/libf/phyvenus/cloudvenus/free_param.F90	(revision 1661)
+++ /trunk/LMDZ.VENUS/libf/phyvenus/cloudvenus/free_param.F90	(revision 1661)
@@ -0,0 +1,54 @@
+MODULE free_param
+  
+  implicit none
+  
+  ! TIME (s) 
+!  real, parameter :: TSTOP = 3 !Stop
+  real, parameter :: TSTOP = 3600 !Stop
+!  real, parameter :: TSTOP = 86400.0D0 ! Stop
+
+  integer, parameter :: nbin = 100
+
+
+  ! FLAGS
+  logical, parameter :: MERGE     = .FALSE. ! Mode merging
+  logical, parameter :: NUCLEA    = .TRUE.  ! Homogeneous nucleation
+  logical, parameter :: MASSFLUX  = .TRUE.  ! Thermodyn. equi. and cond./evap.
+  logical, parameter :: HETNUCLEA = .FALSE.  ! Heterogeneous nucleation
+  logical, parameter :: SEDIM     = .FALSE.  ! Sedimentation
+  logical, parameter :: COAG      = .FALSE. ! Coagulation
+  integer, parameter :: PROD      = 0       ! No aer production
+!!  integer, parameter :: PROD      = 1       ! Aer production with normal distri
+!  integer, parameter :: PROD      = 2       ! Production only in 1 layer
+  
+
+  ! MODE 1 & 2 - James 1997 + Knollenberg and Hunten 1980
+  ! Be careful, you need to change sigma in sed_and_prod.f90 too
+  real, parameter :: sigma1 = 1.56D0  ! Geometric standard deviation
+  real, parameter :: ri1 = 3.0D-7     ! Geometric radius (m)
+  real, parameter :: sigma2 = 1.29D0  ! Geometric standard deviation
+  real, parameter :: ri2 = 1.0D-6     ! Geometric radius (m)  
+
+  
+  ! RADIUS GRID
+  real, parameter ::  rmin = 0.0001D-6 !m
+  real, parameter ::  rmax = 100.0D-6  !m
+
+  
+  ! PRODUCTION - AEROSOL     NB:  The source should be at more or less 55km !
+  real, parameter :: r_aer = 0.125D-6      !m
+  real, parameter :: p_aer = 310000.D0     !Pa, 40km on Venus
+!  real, parameter :: p_aer = 260000.D0     !Pa, 40km on Venus
+  real, parameter :: sig_aer = 1.56D0      !Of the distribution, same as mode 1
+  real, save      :: ntot_aer              !#/m-3
+  real, parameter :: ntot_aer_flag2 = 4.D5 !#/m-3
+  real, parameter :: tx_prod = 9.D-7       !kg.m-2.s-1, JB:tx_prod = 3.5D-13
+  real, parameter :: rho_aer = 2000.D0     !kg/m-3
+  REAL, PARAMETER :: sigz  = 20.0D3        ! currently set to 20km
+
+
+  ! HETEROGENEOUS NUCLEATION
+  real, parameter :: mtetalocal = 0.952D0 ! moullabilite
+
+
+END MODULE free_param
